## org.bn.compiler.parser.model
Class AsnTypes

    java.lang.Object
      org.bn.compiler.parser.model.AsnTypes

    public class AsnTypes

extends java.lang.Object

Field Summary
`java.util.ArrayList` `anys`
`java.util.ArrayList` `bitStrings`
`java.util.ArrayList` `booleans`
`java.util.ArrayList` `characterStrings`
`java.util.ArrayList` `choices`
`java.util.ArrayList` `defineds`
`java.util.ArrayList` `embeddeds`
`java.util.ArrayList` `enums`
`java.util.ArrayList` `externals`
`java.util.ArrayList` `integers`
`java.util.ArrayList` `macroErrors`
`java.util.ArrayList` `macroObjectTypes`
`java.util.ArrayList` `macroOperations`
`java.util.ArrayList` `nulls`
`java.util.ArrayList` `objectIdentifiers`
`java.util.ArrayList` `octetStrings`
`java.util.ArrayList` `reals`
`java.util.ArrayList` `relativeOids`
`java.util.ArrayList` `selections`
`java.util.ArrayList` `sequenceSets`
`java.util.ArrayList` `sequenceSetsOf`
`java.util.ArrayList` `taggeds`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### anys

    public java.util.ArrayList anys

### bitStrings

    public java.util.ArrayList bitStrings

### booleans

    public java.util.ArrayList booleans

### characterStrings

    public java.util.ArrayList characterStrings

### choices

    public java.util.ArrayList choices

### defineds

    public java.util.ArrayList defineds

### embeddeds

    public java.util.ArrayList embeddeds

### enums

    public java.util.ArrayList enums

### externals

    public java.util.ArrayList externals

### integers

    public java.util.ArrayList integers

### macroErrors

    public java.util.ArrayList macroErrors

### macroObjectTypes

    public java.util.ArrayList macroObjectTypes

### macroOperations

    public java.util.ArrayList macroOperations

### nulls

    public java.util.ArrayList nulls

### objectIdentifiers

    public java.util.ArrayList objectIdentifiers

### octetStrings

    public java.util.ArrayList octetStrings

### reals

    public java.util.ArrayList reals

### relativeOids

    public java.util.ArrayList relativeOids

### selections

    public java.util.ArrayList selections

### sequenceSets

    public java.util.ArrayList sequenceSets

### sequenceSetsOf

    public java.util.ArrayList sequenceSetsOf

### taggeds

    public java.util.ArrayList taggeds

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`